<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="ServiceSettings" type="Keysystems.SMEV.Service.Configuration.ServiceSettings, Keysystems.SMEV.Service" />
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <system.web>
    <compilation debug="true" />
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager enabled="true" defaultProvider="ClientRoleProvider">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <appSettings>
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="LogCompress" value="false" />
  </appSettings>
  <connectionStrings>
    <add name="SmevConnectionString" connectionString="Data Source={SERVER}\{SQLSERVER};Initial Catalog={DATABASE};Persist Security Info=True;User ID={USER};Password={PASSWORD}" providerName="System.Data.SqlClient" />
    <add name="SmevConnectionStringTest" connectionString="Data Source={SERVER}\{SQLSERVER};Initial Catalog={TEST_DATABASE};Persist Security Info=True;User ID={USER};Password={PASSWORD}" providerName="System.Data.SqlClient" />
    <add name="AppServiceUrl" connectionString="" />
  </connectionStrings>
  <ServiceSettings>
    <MaintenanceServiceSettings enableLogging="false" terminateInterval="1" />
    <Smev3Settings>
      <clear />
      <add dbConnectionStringName="SmevConnectionString" enabled="false" consumerEnabled="true" consumerInterval="60" providerEnabled="false" providerInterval="60" testEnv="false" prodEnv="true" processingEnabled="true" processingInterval="60" ftpLoggingEnabled="false" ftpPasvIPFixEnabled="false" />
      <add dbConnectionStringName="SmevConnectionStringTest" enabled="false" consumerEnabled="true" consumerInterval="60" providerEnabled="false" providerInterval="60" testEnv="true" prodEnv="false" processingEnabled="true" processingInterval="60" ftpLoggingEnabled="false" ftpPasvIPFixEnabled="false" />
    </Smev3Settings>
  </ServiceSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Resources.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.5.0" newVersion="4.0.5.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>